/* === Remove input autofocus webkit === */
*:focus {outline: none;}

/* === List Styles === */
.form {
	margin-top: 20px;
	height: 100%;	
}

.form ul {
    width:100%;
    list-style-type:none;
	list-style-position:outside;
	margin:0px;
	padding:0px;
}
.form li{
	padding:12px; 
	/*border-bottom:1px solid #eee;*/
	position:relative;
} 
.form li:first-child, .form li:last-child {
	/*border-bottom:1px solid #777;*/
}

/* === Form Header === */
.form h2 {
	margin:0;
	display: inline;
}
.required_notification {
	color:#d45252; 
	margin:5px 0 0 0; 
	display:inline;
	float:right;
}

/* === Form Elements === */

.form label, .formTextLabel{
	width:100%;
	margin: 7px 0px;
	display:inline-block;
	float:left;
	padding:0px;
	text-align: left;
}
.form input, .formTextInput {
	width: 100%;
	height: auto;
	padding: 8px;
	margin-bottom: 18px;
}

.form input[type="checkbox"] {
	margin-right:5px;
	width: auto;
}

.form textarea, .formTextInput {padding:8px; width:300px;}

/*.form button.submit {margin-left:156px;}*/
.small_spacing_r {margin-right:10px;}
.small_spacing {margin:5px 20px 5px 20px;}
.med_spacing {margin:5px 10px 5px 150px;}
.large_spacing {margin:5px 10px 5px 350px;}
.far_right {margin:10px 10px 5px 5px; display:none;}
.centered_pos {position:relative; margin-left:42%;}

	/* form element visual styles */
	.form input, .form textarea { 
		border:1px solid #aaa;
		box-shadow: 0px 0px 3px #ccc, 0 10px 15px #eee inset;
		border-radius:2px;
		padding-right:20px;
		-moz-transition: padding .25s; 
		-webkit-transition: padding .25s; 
		-o-transition: padding .25s;
		transition: padding .25s;
	}
	.form input:focus, .form textarea:focus {
		background: #fff; 
		border:1px solid #555; 
		box-shadow: 0 0 3px #aaa; 
		padding-right:100px;
	}

/* === HTML5 validation styles === */	
.form input:required, .form textarea:required {
	background: #fff url(../view/images/red_asterisk.png) no-repeat 98% center;
}
.form input:required:valid, .form textarea:required:valid {
	background: #fff url(../view/images/valid.png) no-repeat 98% center;
	box-shadow: 0 0 5px #5cd053;
	border-color: #28921f;
	width: 100%;
	height: auto;
}
.form input:focus:invalid, .form textarea:focus:invalid {
	background: #fff url(../view/images/invalid.png) no-repeat 98% center;
	box-shadow: 0 0 5px #d45252;
	border-color: #b03535;
/* 	width: auto; */
	height: auto;
}

/* === Form hints === */
.form_hint {
	background: #d45252;
	border-radius: 3px 3px 3px 3px;
	color: white;
	margin-left:8px;
	padding: 1px 6px;
	z-index: 999; /* hints stay above all other elements */
	position: absolute; /* allows proper formatting if hint is two lines */
	display: none;
}
.form_hint::before {
	content: "\25C0";
	color:#d45252;
	position: absolute;
	top:1px;
	left:-6px;
}
.form input:focus + .form_hint {display: inline;}
.form input:required:valid + .form_hint {background: #28921f;}
.form input:required:valid + .form_hint::before {color:#28921f;}
	
/* === BIG Button Style YELLOW for submitting === */
button.yellow {
	background-color: #ffcc38;
	background: -webkit-gradient(linear, left top, left bottom, from(#ffcc38), to(#e7ab22)); 
	background: -webkit-linear-gradient(top, #ffcc38, #e7ab22);
	background: -moz-linear-gradient(top, #ffcc38, #e7ab22);
	background: -ms-linear-gradient(top, #ffcc38, #e7ab22);
	background: -o-linear-gradient(top, #ffcc38, #e7ab22);
	background: linear-gradient(top, #ffcc38, #e7ab22);
	border: 1px solid #dd9a2a;
	border-bottom: 1px solid #b46d29;
	border-radius: 3px;
	-webkit-border-radius: 3px;
	-moz-border-radius: 3px;
	-ms-border-radius: 3px;
	-o-border-radius: 3px;
	box-shadow: inset 0 1px 0 0 #f5cc67;
	-webkit-box-shadow: 0 1px 0 0 #f5cc67 inset ;
	-moz-box-shadow: 0 1px 0 0 #f5cc67 inset;
	-ms-box-shadow: 0 1px 0 0 #f5cc67 inset;
	-o-box-shadow: 0 1px 0 0 #f5cc67 inset;
	color: #444444;
	font-size:13px;
	padding: 6px 20px;
	text-align: center;
	text-shadow: 73px 73px 71px #5a5a5a;
}
button.yellow:hover {
	opacity:.85;
	cursor: pointer; 
}
button.yellow:active {
	border: 1px solid #20911e;
	box-shadow: 0 0 10px 5px #356b0b inset; 
	-webkit-box-shadow:0 0 10px 5px #356b0b inset ;
	-moz-box-shadow: 0 0 10px 5px #356b0b inset;
	-ms-box-shadow: 0 0 10px 5px #356b0b inset;
	-o-box-shadow: 0 0 10px 5px #356b0b inset;
}
/* === BIG Button Style GREEN for submitting === */
button.submit {
	background-color: #68b12f;
	background: -webkit-gradient(linear, left top, left bottom, from(#68b12f), to(#50911e));
	background: -webkit-linear-gradient(top, #68b12f, #50911e);
	background: -moz-linear-gradient(top, #68b12f, #50911e);
	background: -ms-linear-gradient(top, #68b12f, #50911e);
	background: -o-linear-gradient(top, #68b12f, #50911e);
	background: linear-gradient(top, #68b12f, #50911e);
	border: 1px solid #509111;
	border-bottom: 1px solid #5b992b;
	border-radius: 3px;
	-webkit-border-radius: 3px;
	-moz-border-radius: 3px;
	-ms-border-radius: 3px;
	-o-border-radius: 3px;
	box-shadow: inset 0 1px 0 0 #9fd574;
	-webkit-box-shadow: 0 1px 0 0 #9fd574 inset ;
	-moz-box-shadow: 0 1px 0 0 #9fd574 inset;
	-ms-box-shadow: 0 1px 0 0 #9fd574 inset;
	-o-box-shadow: 0 1px 0 0 #9fd574 inset;
	color: white;
	font-size:13px;
	padding: 6px 20px;
	text-align: center;
	text-shadow: 0 -1px 0 #396715;
}
button.submit:hover {
	opacity:.85;
	cursor: pointer; 
}
button.submit:active {
	border: 1px solid #20911e;
	box-shadow: 0 0 10px 5px #356b0b inset; 
	-webkit-box-shadow:0 0 10px 5px #356b0b inset ;
	-moz-box-shadow: 0 0 10px 5px #356b0b inset;
	-ms-box-shadow: 0 0 10px 5px #356b0b inset;
	-o-box-shadow: 0 0 10px 5px #356b0b inset;
}

/* === BIG Button Style RED for cancelling === */

button.nullify {
	background: #a88d93; /* Old browsers */
	background: -moz-linear-gradient(top,  #a88d93 0%, #a90329 17%, #8f0222 44%, #6d0019 100%); /* FF3.6+ */
	background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#a88d93), color-stop(17%,#a90329), color-stop(44%,#8f0222), color-stop(100%,#6d0019)); /* Chrome,Safari4+ */
	background: -webkit-linear-gradient(top,  #a88d93 0%,#a90329 17%,#8f0222 44%,#6d0019 100%); /* Chrome10+,Safari5.1+ */
	background: -o-linear-gradient(top,  #a88d93 0%,#a90329 17%,#8f0222 44%,#6d0019 100%); /* Opera 11.10+ */
	background: -ms-linear-gradient(top,  #a88d93 0%,#a90329 17%,#8f0222 44%,#6d0019 100%); /* IE10+ */
	background: linear-gradient(to bottom,  #a88d93 0%,#a90329 17%,#8f0222 44%,#6d0019 100%); /* W3C */
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#a88d93', endColorstr='#6d0019',GradientType=0 ); /* IE6-9 */
	border: 1px solid #7c1524;
	border-bottom: 1px solid #63111d;
	border-radius: 3px;
	-webkit-border-radius: 3px;
	-moz-border-radius: 3px;
	-ms-border-radius: 3px;
	-o-border-radius: 3px;
	box-shadow: inset 0 1px 0 0 #a0042d;
	-webkit-box-shadow: 0 1px 0 0 #a0042d inset ;
	-moz-box-shadow: 0 1px 0 0 #a0042d inset;
	-ms-box-shadow: 0 1px 0 0 #a0042d inset;
	-o-box-shadow: 0 1px 0 0 #a0042d inset;
	color: white;
	font-size:13px;
	padding: 6px 20px;
	text-align: center;
	text-shadow: 0 -1px 0 #396715;
}
button.nullify:hover {
	opacity:.85;
	cursor: pointer; 
}
button.nullify:active {
	border: 1px solid #63111d;
	box-shadow: 0 0 10px 5px #6d0019 inset; 
	-webkit-box-shadow:0 0 10px 5px #6d0019 inset ;
	-moz-box-shadow: 0 0 10px 5px #6d0019 inset;
	-ms-box-shadow: 0 0 10px 5px #6d0019 inset;
	-o-box-shadow: 0 0 10px 5px #6d0019 inset;
}

/* === Button Style BLUE for selecting === */
button.selector {
	background-color: #68b12f;
	background: -webkit-gradient(linear, left top, left bottom, from(#4164e5), to(#3851ce));
	background: -webkit-linear-gradient(top, #4164e5, #3851ce);
	background: -moz-linear-gradient(top, #4164e5, #3851ce);
	background: -ms-linear-gradient(top, #4164e5, #3851ce);
	background: -o-linear-gradient(top, #4164e5, #3851ce);
	background: linear-gradient(top, #4164e5, #3851ce);
	border: 1px solid #0712a0;
	border-bottom: 1px solid #3d5ed8;
	border-radius: 3px;
	-webkit-border-radius: 3px;
	-moz-border-radius: 3px;
	-ms-border-radius: 3px;
	-o-border-radius: 3px;
	box-shadow: inset 0 1px 0 0 #4877f9;
	-webkit-box-shadow: 0 1px 0 0 #4877f9 inset ;
	-moz-box-shadow: 0 1px 0 0 #4877f9 inset;
	-ms-box-shadow: 0 1px 0 0 #4877f9 inset;
	-o-box-shadow: 0 1px 0 0 #4877f9 inset;
	color: white;
	padding: 6px 20px;
	font-size:13px;
	text-align: center;
	text-shadow: 0 -1px 0 #2f48a5;
}
button.selector:hover {
	opacity:.85;
	cursor: pointer; 
}
button.selector:active {
	border: 1px solid #4877f9;
	box-shadow: 0 0 10px 5px #2f48a5 inset; 
	-webkit-box-shadow:0 0 10px 5px #3450b7 inset ;
	-moz-box-shadow: 0 0 10px 5px #3450b7 inset;
	-ms-box-shadow: 0 0 10px 5px #3450b7 inset;
	-o-box-shadow: 0 0 10px 5px #3450b7 inset;
}

/* Tablet Layout: 481px to 768px. Inherits styles from: Mobile Layout. */

@media only screen and (min-width: 600px) {
	.form {
/* 		width: 30vw; */
		height: auto;	
	}
}